# InitBuild

API Documentation: | `InitBuild`

Note: This class is incubating and may change in a future version of Gradle.

Generates a Gradle project structure.

### Properties

Property | Description
`type` | Incubating The desired type of build to create, defaults to <UNHANDLED-VALUE>org.gradle.buildinit.plugins.internal.BuildInitTypeIds:POM</UNHANDLED-VALUE> if 'pom.xml' is found in project root if no pom.xml is found, it defaults to <UNHANDLED-VALUE>org.gradle.buildinit.plugins.internal.BuildInitTypeIds:BASIC</UNHANDLED-VALUE>. This property can be set via command-line option '--type'.

### Property details

#### `String` `type`

Note: This property is incubating and may change in a future version of Gradle.

The desired type of build to create, defaults to <UNHANDLED-VALUE>org.gradle.buildinit.plugins.internal.BuildInitTypeIds:POM</UNHANDLED-VALUE> if 'pom.xml' is found in project root if no pom.xml is found, it defaults to <UNHANDLED-VALUE>org.gradle.buildinit.plugins.internal.BuildInitTypeIds:BASIC</UNHANDLED-VALUE>. This property can be set via command-line option '--type'.

Default:
  ``empty` (or `pom` if a pom.xml file exists in the project directory)`

### Script blocks

No script blocks

### Methods

No methods